ECHO OFF

REM Make sure that 2015.PRN is sorted.
REM If it is still 2015, then using the argument 2015 is not required.

SORTEREN 2015
ECHO -------------------------------------------------------------------------------


REM Add posibly missing lines to 2015.PRN. The ticker or symbol AEX,
REM a main index, defines what a trading day is. It will look back
REM about one month. Days with a volume of 0 can be added by
REM OPVULLEN EXE to distinguish between missing data and days without
REM any trade. Missing data of last month, if any, is appended to
REM 2015.PRN.

OPVULLEN
ECHO -------------------------------------------------------------------------------


REM Make sure that 2015.PRN is sorted again. OPVULLEN.EXE may have
REM appended new lines to 2015.PRN.

SORTEREN 2015
ECHO -------------------------------------------------------------------------------


REM Customized CONTROLE.EXE (a few basic checks). This just show
REM such in step in the whole process. The argument 2015 is not
REM required during 2015.

CONTROLE 2015
ECHO -------------------------------------------------------------------------------


REM The preprocessing is completed. Now output will be produced. 


REM The use of the tickers or symbols AEX, AMX and ASCX is assumed. 

DAGEN 20150206 | MORE
ECHO -------------------------------------------------------------------------------


REM Symbol or ticker AEX defines what a trading day is. The indices
REM AEX, AMX, ASCX, BEL20, BELM, BELS, CN20 and PX1 are excluded.

EFFOMZET 20150206
ECHO -------------------------------------------------------------------------------


REM No requirements, but both dates have to be trading days.

HOLAGE 20150130 20150206
ECHO -------------------------------------------------------------------------------


REM The symbol or ticker AEX defines what a trading day is.
REM GDIAGRAMM.EXE v0.0.7 is required, and will be executed
REM often. Other versions of GDIAGRAMM.EXE may work too.

REM This step requires eComStation, or any version of OS/2 with the
REM WinQueryDesktopWorkArea API.

GRAFIEK 20150206
ECHO -------------------------------------------------------------------------------


REM Symbol or ticker AEX defines what a trading day is. The indices
REM AEX, AMX, ASCX, BEL20, BELM, BELS, CN20 and PX1 are excluded.

LIQUIDE 20150206
ECHO -------------------------------------------------------------------------------


REM The symbol or ticker AEX defines what a trading day is.

LIJST 20150130
ECHO -------------------------------------------------------------------------------
LIJST 20150206
ECHO -------------------------------------------------------------------------------
RANKING 20150130 20150206
ECHO -------------------------------------------------------------------------------
      

REM GDIAGRAMM.EXE v0.0.7 is required Other versions of GDIAGRAMM.EXE
REM may work too. This step requires eComStation, or any version of
REM OS/2 with the WinQueryDesktopWorkArea API.

GRAFIEK2 20150130 20150206
ECHO -------------------------------------------------------------------------------


REM Symbol or ticker AEX defines what a trading day is. The indices
REM AEX, AMX, ASCX, BEL20, BELM, BELS, CN20 and PX1 are excluded.

RELOMZET 20150206
ECHO -------------------------------------------------------------------------------


REM The symbol or ticker AEX defines what a trading day is.

SECTOREN 20150130 20150206
ECHO -------------------------------------------------------------------------------


REM No requirements, but both dates have to be trading days.

VOLATIEL 20150202 20150206
ECHO -------------------------------------------------------------------------------


DIR *.HTML
ECHO -------------------------------------------------------------------------------
ECHO You can view all generated HTML files with Netscape 4.61. 
-------------------------------------------------------------------------------
IF EXIST Grafiek.PNG ECHO You can also view the output file Grafiek.PNG.
IF EXIST Grafiek.PNG DIR GRAFIEK.PNG
IF EXIST Grafiek.PNG ECHO -------------------------------------------------------------------------------


PAUSE
